ObjectStorageResponse
Successful response with one ObjectStorage
Always 0 in a successful response
0Always null in a successful response
data objectrequired
S3-compatible object storage of the account, with the usage of all its buckets from the latest daily usage data of the storage: a null figure means zero or not available yet
Id of the purchase of the object storage (GET /api/v3/purchases/{purchase_id})
Name of the object storage account at the storage, the same as code_full
Contact email of the object storage account at the storage, generated by the service (<code_full>@serverlet.it)
Code of the object storage account at the storage, used as its name
Whether the object storage account is active at the storage: false after its deletion
Space used by the active objects, in bytes
Space of the deleted objects that still counts toward the purchased space, in bytes
Number of active objects
Number of deleted objects still counted in deleted_storage_bytes
Number of API calls in the day of the latest usage data
Data written in the day of the latest usage data, in bytes
Data read in the day of the latest usage data, in bytes
Outgoing traffic in the day of the latest usage data, in bytes
Incoming traffic in the day of the latest usage data, in bytes
Date the object storage account was created at the storage: it is not the date of the usage figures
Always null: only the paginated lists have a meta
null{
"error": 0,
"message": "string",
"data": {
"object_storage_id": 0,
"purchase_id": 0,
"name": "string",
"email": "string",
"code": 0,
"code_full": "string",
"active": true,
"active_storage_bytes": 0,
"deleted_storage_bytes": 0,
"active_objects": 0,
"deleted_objects": 0,
"api_calls_count": 0,
"storage_wrote_bytes": 0,
"storage_read_bytes": 0,
"egress_traffic_bytes": 0,
"ingress_traffic_bytes": 0,
"reference_date": "2024-07-29"
}
}